RankSharkDocs
Businesses

Move campaigns to a business or folder

RankShark TrackScopetrack:write

POST
/v1/track/assign

clientId: the business (tc_…), or null to remove the campaigns from their business; folder: a folder inside it.

Scope: track:write.

Authorization

headerAuthorizationBearer <rstk_… API key or OAuth access token>

A Track API key (rstk_…, Settings → API & MCP) or an OAuth access token issued for this API

Request Body

application/json
  1. body
trackerIds*array<>

Campaign ids (gt_…)

clientId?|

The business (tc_…); null: not assigned

Match^tc_[A-Za-z0-9]{10,40}$
folder?|

A folder inside the business

Lengthlength <= 60

Response Body

OK

application/json
  1. response
ok*boolean
updated*integer

Campaigns moved

Example Request
curl -X POST 'https://panel.rankshark.io/v1/track/assign' \  -H 'Content-Type: application/json' \  -d '{  "trackerIds": [    "gt_8fK2mQ9xLp3s",    "gt_2Wd6Hs9Kq4Tn"  ],  "clientId": "tc_5Rw8Jn3Ys2QeLk",  "folder": "Austin"}'
Example Response
{  "ok": true,  "updated": 2}